Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cfg.annotations
Enum Nullability

    java.lang.Object
      java.lang.Enum<Nullability>
          org.hibernate.cfg.annotations.Nullability

All Implemented Interfaces:
  Serializable, Comparable<Nullability>

    public enum Nullability

extends Enum<Nullability>

Are the columns forced to null, not null or not forced

Author:
  Emmanuel Bernard

Enum Constant Summary
`FORCED_NOT_NULL`
`FORCED_NULL`
`NO_CONSTRAINT`

Method Summary
`static Nullability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Nullability[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FORCED_NULL

    public static final Nullability FORCED_NULL

### FORCED_NOT_NULL

    public static final Nullability FORCED_NOT_NULL

### NO_CONSTRAINT

    public static final Nullability NO_CONSTRAINT

Method Detail

### values

    public static final Nullability[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Nullability c : Nullability.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Nullability valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD